아티팩트가 업로드되지 않음

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 409 Conflict 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/artifacts-not-uploaded입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

현지화 작업 <id>을 시작하려면 먼저 아티팩트를 업로드해야 합니다: <addresse>. 아티팩트를 업로드한 다음 작업을 다시 시작하세요.

필드#

응답 본문에는 표준 항목인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
idstring
addressesstring[]

예시#

json
{
  "detail": "Localization job <id> cannot start before its artifacts are uploaded: <addresse>. Upload them, then start the job again.",
  "id": "<id>",
  "addresses": [
    "<addresse>"
  ],
  "type": "https://lingo.dev/docs/api/errors/artifacts-not-uploaded",
  "status": 409,
  "title": "Artifacts not uploaded"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/localization/jobs/{id}/start